Create a storage snapshot
POST
A manual snapshot of the whole box. Ten per 15 minutes per account, shared with the dashboard.
apiToken storage:writeheader
AuthorizationBearer <token>A personal API token: Authorization: Bearer dh_live_…. See Authentication for scopes.
Scope: storage:write
id*integerThe service id, as returned by GET /v1/services.
application/json- body
label?stringLength
length <= 80The new snapshot.
application/json- response
name*stringkind*stringValue in
"manual""auto"label*stringcreatedAt*stringFormat
date-timeusedBytes*integerSpace held only by this snapshot.
referencedBytes*integerSize of the box when it was taken.
curl -X POST 'https://api.deluxhost.net/v1/services/0/storage/snapshots' \ -H "Authorization: Bearer $DELUXHOST_TOKEN" \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "name": "string", "kind": "manual", "label": "string", "createdAt": "2019-08-24T14:15:22Z", "usedBytes": 0, "referencedBytes": 0}